# Class Ranges

java.lang.Object
org.apache.tomcat.util.http.parser.Ranges

public class Ranges extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`Ranges.Entry`

## Constructor Summary

Constructors
Constructor
Description
`Ranges(String units, List<Ranges.Entry> entries)`

## Method Summary

Modifier and Type
Method
Description
`List<Ranges.Entry>`
`getEntries()`
`String`
`getUnits()`
`static Ranges`
`parse(StringReader input)`
Parses a Range header from an HTTP header.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Ranges

public Ranges(String units, List<Ranges.Entry> entries)

## Method Details

### getEntries

public List<Ranges.Entry> getEntries()

### getUnits

public String getUnits()

### parse

public static Ranges parse(StringReader input) throws IOException
Parses a Range header from an HTTP header.

Parameters:
  `input` - a reader over the header text
Returns:
  a set of ranges parsed from the input, or null if not valid
Throws:
  `IOException` - if there was a problem reading the input